## Index

### Interfaces

- IAtomViewModel

### Type aliases

- viewModelInit
- viewModelInitFunc

### Functions

- registerInit

## Type aliases

### viewModelInit

viewModelInit: function

- Defined in src/view-model/baseTypes.ts:7

#### Type declaration

- - (vm: any): void

  - #### Parameters

    - ##### vm: any

    #### Returns void

### viewModelInitFunc

viewModelInitFunc: function

- Defined in src/view-model/baseTypes.ts:9

#### Type declaration

- - (target: any, key: string | symbol): void

  - #### Parameters

    - ##### target: any

    - ##### key: string | symbol

    #### Returns void

## Functions

### registerInit

- registerInit(target: any, fx: viewModelInit): void

- - Defined in src/view-model/baseTypes.ts:11

  #### Parameters

  - ##### target: any

  - ##### fx: viewModelInit

  #### Returns void

Generated using TypeDoc